{
  "name": "@sidkik/nx-go",
  "license": "MIT",
  "scripts": {
    "nx": "nx",
    "start": "nx serve",
    "build": "nx build",
    "test": "nx test",
    "lint": "nx workspace-lint && nx lint",
    "e2e": "nx e2e",
    "npm:publish": "npm run build nx-go && cd dist/packages/nx-go && npm publish",
    "affected:apps": "nx affected:apps",
    "affected:libs": "nx affected:libs",
    "affected:build": "nx affected:build",
    "affected:e2e": "nx affected:e2e",
    "affected:test": "nx affected:test",
    "affected:lint": "nx affected:lint",
    "affected:dep-graph": "nx affected:dep-graph",
    "affected": "nx affected",
    "format": "nx format:write",
    "format:write": "nx format:write",
    "format:check": "nx format:check",
    "update": "nx migrate latest",
    "workspace-schematic": "nx workspace-schematic",
    "dep-graph": "nx dep-graph",
    "help": "nx help"
  },
  "private": true,
  "dependencies": {
    "tslib": "^2.0.0"
  },
  "repository": {
    "type": "git",
    "url": "https://gitlab.com/sidkik-open/nx/nx-go.git"
  },
  "publishConfig": {
    "registry": "https://gitlab.com/api/v4/projects/38581281/packages/npm/"
  },
  "devDependencies": {
    "@nrwl/devkit": "16.2.1",
    "@nrwl/eslint-plugin-nx": "16.2.1",
    "@nrwl/jest": "16.2.1",
    "@nrwl/linter": "16.2.1",
    "@nrwl/node": "16.2.1",
    "@nrwl/nx-plugin": "16.2.1",
    "@nrwl/tao": "16.2.1",
    "@nrwl/workspace": "16.2.1",
    "@types/jest": "29.4.4",
    "@types/node": "14.14.33",
    "@typescript-eslint/eslint-plugin": "5.59.6",
    "@typescript-eslint/parser": "5.59.6",
    "eslint": "8.22.0",
    "eslint-config-prettier": "8.5.0",
    "husky": "^8.0.1",
    "jest": "29.4.3",
    "jest-environment-jsdom": "28.1.3",
    "nx": "^16.2.1",
    "prettier": "^2.7.1",
    "ts-jest": "29.1.0",
    "tslib": "^2.4.0",
    "typescript": "5.0.4"
  },
  "husky": {
    "hooks": {
      "pre-commit": "lint-staged"
    }
  },
  "lint-staged": {
    "*.{js,json,css,scss,md,ts,html,graphql}": [
      "npm run format --uncommitted"
    ]
  }
}
